#ifndef _GPIODEV_H__
#define _GPIODEV_H__

#define IOC_GPIODEV_MAGIC  'B'
#define GPIO_GET        _IO(IOC_GPIODEV_MAGIC, 10)
#define GPIO_SET        _IO(IOC_GPIODEV_MAGIC, 11)
#define GPIO_CLEAR      _IO(IOC_GPIODEV_MAGIC, 12)
#define GPIO_DIR_IN     _IO(IOC_GPIODEV_MAGIC, 13)
#define GPIO_DIR_OUT    _IO(IOC_GPIODEV_MAGIC, 14)
        /* Sets the direction out and clears the <pin> (low) */

#define GPIO_DIR_HIGH   _IO(IOC_GPIODEV_MAGIC, 15)
        /* Sets the direction out and sets the <pin> (high) */
#define GPIO_REQUEST    _IO(IOC_GPIODEV_MAGIC, 16)
#define GPIO_FREE       _IO(IOC_GPIODEV_MAGIC, 17)
#define GPIO_CAN_SLEEP  _IO(IOC_GPIODEV_MAGIC, 18)

#endif
