DESCRIPTION = "Timer for GPIO"

SRC_URI = "file://i2c-lcd.c \
	file://i2c-lcd-init.c \
	file://font_6x8.h"

S = "${WORKDIR}"

do_compile() {
	$CC $CFLAGS $LDFLAGS i2c-lcd.c -o i2c-lcd
	$CC $CFLAGS $LDFLAGS i2c-lcd-init.c -o i2c-lcd-init
}

do_install() {
	install -d  ${D}/usr/bin/
	install -m 0755 ${S}/i2c-lcd ${D}${bindir}/
	install -m 0755 ${S}/i2c-lcd-init ${D}${bindir}/
}

FILES_${PN} += "/usr/bin/i2c-lcd \
                /usr/bin/i2c-lcd-init"
PACKAGE_ARCH = "all"


